GHSA-xr8c-mq5x-5f56

Suggest an improvement
Source
https://github.com/advisories/GHSA-xr8c-mq5x-5f56
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/11/GHSA-xr8c-mq5x-5f56/GHSA-xr8c-mq5x-5f56.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-xr8c-mq5x-5f56
Aliases
Published
2023-11-03T00:30:26Z
Modified
2024-02-16T08:13:19.585649Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS Calculator
Summary
Dromara Lamp-Cloud Use of Hard-coded Cryptographic Key
Details

Dromara Lamp-Cloud before v3.8.1 was discovered to use a hardcoded cryptographic key when creating and verifying a Json Web Token. This vulnerability allows attackers to authenticate to the application via a crafted JWT token.

References

Affected packages

Maven / top.tangyh.basic:lamp-core

Package

Name
top.tangyh.basic:lamp-core
View open source insights on deps.dev
Purl
pkg:maven/top.tangyh.basic/lamp-core

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.8.1

Affected versions

3.*

3.4.0
3.5.0
3.5.1
3.5.3
3.5.5
3.5.7
3.5.8
3.6.0
3.6.2
3.7.0

Maven / top.tangyh.basic:lamp-util

Package

Name
top.tangyh.basic:lamp-util
View open source insights on deps.dev
Purl
pkg:maven/top.tangyh.basic/lamp-util

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.8.1

Affected versions

3.*

3.4.0
3.5.0
3.5.1
3.5.3
3.5.7
3.5.8
3.6.0
3.6.2
3.7.0